<?php
class netsSimpleXml extends netsError {
	public $sXmlElement=array();
	
	public function netsSimpleXml(){
		$this->netsError();
	}
	
	public function loadXml($tmpSTR){
		try {
			$this->sXmlElement=new SimpleXMLElement($tmpSTR);
		}catch (Exception $except){
			return 1;
		}
		return 0;
	}
	public function loadXml_UiParameter($tmpSTR){
		$tmpSTR=str_replace('<?php /*'.$this->sysSPLIT4,'',$tmpSTR);
		$tmpSTR=str_replace($this->sysSPLIT4.'*/ ?>','',$tmpSTR);
		try {
			$this->sXmlElement=new SimpleXMLElement($tmpSTR);
		}catch (Exception $except){
			return 1;
		}
		return 0;
	}
}
?>